// pages/video/video.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    bg_color: '',
    src: 'https://ai.tj5.cc:35437/static/video/TJai.mp4'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      bg_color: getApp().page_bg
    })
  },
  handleOpenVideo() {
    wx.reLaunch({
      url: '../cameraTakePhoto/cameraTakePhoto',
    })
  },
  back() {
    wx.reLaunch({
      url: '/pages/index/index',
    })
    this.getVideoUrl()
  },
  // 获取视频地址
  getVideoUrl(){
    wx.request({
      url: 'https://tjfnew.china315net.com/ajax/video_url.ashx?videoid=80aaac4de1d171eea06f6732b78e0102&json=1',
      method:'GET',
      success:(res) => {
        const {statusCode,data} = res
        if (statusCode == 200) {
          const {CoverURL,playUrl} = data
          this.setData({
            src:playUrl
          })
        }
        console.log(res);
      },
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})